<?
	
	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{

		echo '<div class="top">Предложения по игре</div>';
		switch ($act) {
	default:
		echo '<div class="cont"><a href="?act=add">Новое предложение</a></div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `proposal`;"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `proposal` ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="conts">';
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(mysql_real_escape_string($row['uid']))."'");
					$f = mysql_fetch_array($q);
					echo ''.rasa($f['rasa']).' <a href="anketa.php?id='.$f['id'].'"><span class="' . crasa($f['rasa']) . '">' . $f['login'] . '</span></a>';
					if($f['lasttime'] > time()-$online_time)echo ' <span class="green">on</span> ';
					echo '['.dates($row['time']).'] <br/>'.$row['text'].'';	
					echo '</div>'; 

					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?'); // вывод меню навигации в аргументе указывать адрес страницы 
			}
			else
			{
				div('Предложений нет!','conts');
			}

break;
case 'add':

	echo '<div class="conts">';
	  	if(!$_POST)
	{

			echo '<form action="" method="POST">';
						echo '
			Предложение:<br />
			<input type="text" value="" name="text" /> <input type="submit" name="submit" value="Добавить"/></form>';
			
	}
	else
	{
			$text = check(trim($_POST['text']));
		$error = false;

				if (empty($text))
			$error = $error . 'Не введен текст<br/>';
		elseif (strlen($text) < 2)
			$error = $error . 'Слишком короткое сообщение!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$text))
			$error = $error . 'Недопустимые символы в тексте<br />';
		if ($level == 0)
			$error = $error . 'Вы не авторизированны<br />';
		
	  
	  		if (empty($error))
		{
		
			mysql_query("INSERT INTO `proposal` SET
			            `uid`='" . mysql_real_escape_string($use_id) . "',
						`time`='" . time() . "',
			            `text`='" . mysql_real_escape_string($text) . "';");
						
header('Location: proposal.php');

		}
		else
		{
			echo '' . $error. '';
		}
	}
	echo '<a href="proposal.php"><b>Назад</b></a></div>';

		}
	}
		
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>